Get Containers

Retrieve detailed information on all the international arrivals containers set up on the customer's account. With this endpoint, you can gain insights into the international containerised shipments, including current statuses, weights, and other relevant details.

Query Params
string

A unique identifier for the shipping location assigned by the system or by you (alias), allowing users to filter the data by the shipping location.

int32
1 to 2147483647
Defaults to 100

An integer that defines the number of container entries (records) returned per page in the response. For instance, if pageSize is set to 20, the API will return up to 20 containers in each response.

Note: By default, this value is set to 100.

int32
1 to 2147483647
Defaults to 1

An integer indicating the specific page of results to retrieve, allowing for pagination of larger datasets. For example, if pageNumber is set to 3, the API will return the results corresponding to the third page of containers based on the specified pageSize.

Note: By default, this value is set to 1.

string
enum

A string specifying the field by which to organise the search results. For instance, "CreatedDateUtc" could be used to sort containers chronologically, arranging the results in a more user-friendly order.

Note: By default, this value is set to CreatedDateUtc.

Allowed:
string
enum

A string indicating the direction in which to sort the results, typically set to "ascending" or "descending." For example, setting sortDir to "Ascending" while using "CreatedDateUtc" as sortBy would arrange the container from latest creation date to oldest creation date.

Note: By default, this value is set to Ascending.

Allowed:
string
enum

Indicates the current status of the container, helping customers quickly find the containers that meet their specific criteria.

Note: By default, this field is set to Active.

Allowed:
Responses

401

Unauthorized

403

Forbidden

500

Internal Server Error

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json